precision mediump float;
varying vec2 vTextureCoord; //接收从顶点着色器过来的参数
varying float vPositionX; 
varying float vPositionY; 
uniform sampler2D sTexture1;//纹理内容数据1
uniform sampler2D sTexture2;//纹理内容数据2
uniform float alphaRate;//alpha
uniform float bgChangeRate;
float NO_USE_DISCARD_VALUE = 4.0;
uniform float showRateX;//如果有需要从左到右逐渐显示时要定义这个值。
uniform float showRateY;//如果有需要从上到下逐渐显示时要定义这个值。

void main() { 
   vec4 color1 = texture2D(sTexture1, vTextureCoord);   //从纹理中采样出颜色值1  
      if (abs(alphaRate-NO_USE_DISCARD_VALUE)>0.001) {
      color1.a = alphaRate*color1.a;
    gl_FragColor=color1;
      } else {
    gl_FragColor=color1;
      }
      // gl_FragColor = vec4(1.0,1.0,1.0,1.0);
      if (abs(showRateY-NO_USE_DISCARD_VALUE)>0.001) {
            if (vPositionY<showRateY) {
                discard;
            }
      }  else {
      }


      
      if (abs(showRateX-NO_USE_DISCARD_VALUE)>0.001) {
       //向右滑
       if (showRateX>0.0) {
           if (vPositionX<(showRateX-1.0)) {
               discard;
           }
       //向左滑
       } else if (showRateX<0.0) {
           if (vPositionX>(1.0+showRateX)) {
               discard;
           }
       }
   }
}