precision mediump float;
varying vec2 vTextureCoord; //接收从顶点着色器过来的参数
varying float vPositionX; 
varying float vPositionY;

varying float vRelaPositionX;
varying float vRelaPositionY;

uniform sampler2D sTexture1;//纹理内容数据1
uniform float alphaRate;//alpha
float NO_USE_DISCARD_VALUE = 4.0;
uniform float showRateX;//如果有需要从左到右逐渐显示时要定义这个值
uniform float showRateY;//如果有需要从上到下逐渐显示时要定义这个值
uniform float uT;//分割值
uniform float splitFromLeftToRight;//分割方向

void main() { 
   vec4 color1 = texture2D(sTexture1, vTextureCoord);   //从纹理中采样出颜色值1  
      if (abs(alphaRate-NO_USE_DISCARD_VALUE)>0.001) {
            color1.a = alphaRate*color1.a;
            gl_FragColor=color1;
      } else {
            gl_FragColor=color1;
      }

      // gl_FragColor = vec4(1.0,1.0,1.0,1.0);
   //   if (abs(showRateY-NO_USE_DISCARD_VALUE)>0.001) {
            if (vRelaPositionY<(0.0-showRateY)) {//隐藏下边的
                discard;
            }

           if (vRelaPositionY>(showRateY)) {//隐藏上边的
               discard;
           }
   //   }


      
      //if (abs(showRateX-NO_USE_DISCARD_VALUE)>0.001) {//abs 不好用。就这个不好用，不知道为什么。
           if (vRelaPositionX<(0.0-showRateX)) {//隐藏左边的
               discard;
           }
           if (vRelaPositionX>(showRateX)) {//隐藏右边的
               discard;
           }

       //}


       //屏幕分割比例，2种分割，所以可能2图片中间有断层。这是不是可以接受，要看效果。
      float boundVerticalWidth = 0.005;
      if (abs(uT-NO_USE_DISCARD_VALUE)>0.001) {
          //向右滑
          if (abs(splitFromLeftToRight-1.0)<0.001) {
            //画竖线。
            if (vPositionX>=uT-boundVerticalWidth && vPositionX<(uT)) {
                gl_FragColor=vec4(0.0,0.0,0.0,0.5);
             }
              if (vPositionX<uT-boundVerticalWidth) {
                  discard;
              }
          //向左滑
          } else {
            //画竖线。
             if (vPositionX>uT && vPositionX<=(uT+boundVerticalWidth)) {
             gl_FragColor=vec4(0.0,0.0,0.0,0.5);
            }
              if (vPositionX>(uT+boundVerticalWidth)) {
                  discard;
              }
          }
      }
}