precision mediump float;
varying vec2 vTextureCoord; //接收从顶点着色器过来的参数
varying vec2 vTextureRate;
uniform sampler2D sTexture;//纹理内容数据

varying vec2 vTextureMoveDelta;  //偏移
void main()                         
{          
       //给此片元从纹理中采样出颜色值
       float calcX = vTextureCoord.s + vTextureMoveDelta.s;//坐标变换
       float calcY = vTextureCoord.t - vTextureMoveDelta.t;

       if (calcX<0.0) {
          calcX = 0.0;
          calcX = vTextureCoord.s;
       }
       if (calcX>1.0) {
           calcX = 1.0;
                     calcX = vTextureCoord.s;

       }

       if (calcY<=0.0) {
                 calcY = 0.0;
                 calcY = vTextureCoord.t;
       }
      if (calcY>=1.0) {
          calcY = 1.0;
                          calcY = vTextureCoord.t;
      }

      // gl_FragColor = texture2D(sTexture,vec2(vTextureCoord));
       gl_FragColor = texture2D(sTexture,vec2(calcX,calcY));
}