precision mediump float;
varying vec2 vTextureCoord; //接收从顶点着色器过来的参数
varying float vPositionX; 
varying float vPositionY;

varying float vRelaPositionX;
varying float vRelaPositionY;

uniform sampler2D sTexture1;//纹理内容数据1
uniform float alphaRate;//alpha
float NO_USE_DISCARD_VALUE = 4.0;
uniform float showRateX;//如果有需要从左到右逐渐显示时要定义这个值
uniform float showRateY;//如果有需要从上到下逐渐显示时要定义这个值
uniform float uT;//分割值
uniform float splitFromLeftToRight;//分割方向


void main() { 
   vec4 color1 = texture2D(sTexture1, vTextureCoord);   //从纹理中采样出颜色值1  
      if (abs(alphaRate-NO_USE_DISCARD_VALUE)>0.001) {
            color1.a = alphaRate*color1.a;
            gl_FragColor=color1;
      } else {
            gl_FragColor=color1;
      }
//color1 = vec4(1.0,1.0,1.0,1.0);
       //屏幕分割比例，2种分割，所以可能2图片中间有断层。这是不是可以接受，要看效果。
      float boundWidth = 0.8;
               //  vec4 color = vec4(1.0,1.0,1.0,1.0);
              //   vec4 color = vec4(0.0,0.0,0.0,1.0);
              //   vec4 color = vec4(0.3,0.3,0.3,1.0);
   // float dist = distance(vec2(0.0,0.0), vec2(vRelaPositionX,vRelaPositionY));

        // 四角
        if ((vRelaPositionX>=boundWidth || vRelaPositionX<=-boundWidth) && (vRelaPositionY>=boundWidth || vRelaPositionY<=-boundWidth)) {

            float unknown = 1.4;//不知道怎么弄.
            float dist = distance(vec2(boundWidth,boundWidth), vec2(abs(vRelaPositionX),abs(vRelaPositionY)));
                        float Maxdist = distance(vec2(boundWidth,boundWidth), vec2(1.0,1.0));
             float mask=  1.0-abs(unknown*dist)/(Maxdist);

              color1.a = mask*color1.a;
              gl_FragColor = color1  ;
        } else {
        // x
           if (vRelaPositionX>=boundWidth || vRelaPositionX<=-boundWidth) {
         //  float mask=  smoothstep(0.1, 0.2, abs(vRelaPositionX-boundWidth));
           float mask=   1.0- abs(vRelaPositionX-sign(vRelaPositionX)*boundWidth)/(1.0-boundWidth);
         //  float mask=    abs(dist-boundWidth)/(1.0-boundWidth);
                                   // gl_FragColor=vec4(0.0,0.0,0.0,0.5);
                                         //   gl_FragColor = color*mask ;
                                                     color1.a = mask*color1.a;

                                            gl_FragColor = color1  ;
                                          //  gl_FragColor = color*mask*color1 ;

                                 }
                              //y
                              if (vRelaPositionY>=boundWidth || vRelaPositionY<=-boundWidth) {
           float mask=   1.0- abs(vRelaPositionY-sign(vRelaPositionY)*boundWidth)/(1.0-boundWidth);
                                   // gl_FragColor=vec4(0.0,0.0,0.0,0.5);

                                            color1.a = mask*color1.a;
                                            gl_FragColor = color1  ;
                              }
         }

          boundWidth = 0.9;
          // x
                      if (vRelaPositionX>=boundWidth || vRelaPositionX<=-boundWidth) {
                     //     gl_FragColor=vec4(0.0,0.0,0.0,0.5);
                       }
                    //y
                    if (vRelaPositionY>=boundWidth || vRelaPositionY<=-boundWidth) {
                      //  gl_FragColor=vec4(0.0,0.0,0.0,0.5);
                    }
}