precision mediump float;
varying vec2 vTextureCoord; //接收从顶点着色器过来的参数
varying float vPositionX; 
uniform sampler2D sTexture1;//纹理内容数据1
uniform sampler2D sTexture2;//纹理内容数据2
uniform float uT;
uniform float bgChangeRate;
float NO_USE_DISCARD_VALUE = 4.0;
void main() { 
   //vec4 bcolor = texture2D(sTexture1, vTextureCoord);//给此片元从纹理中采样出颜色值 
   vec4 color1 = texture2D(sTexture1, vTextureCoord);   //从纹理中采样出颜色值1  
  // gl_FragColor=color1;
    if (abs(bgChangeRate)<0.05) {//移动很短时，不加载第二个，增加效率。
       gl_FragColor = color1;
   } else {
       vec4 color2 = texture2D(sTexture2, vTextureCoord);  //从纹理中采样出颜色值2
       gl_FragColor = color1*(1.0-bgChangeRate) + color2*bgChangeRate;// 混合两个颜色值
   }
   float boundVerticalWidth = 0.005;
  // float boundVerticalWidth = 0.005;
   if (abs(uT-NO_USE_DISCARD_VALUE)>0.001) {
       //向右滑
       if (uT>0.0) {
       //画竖线。
       if (vPositionX>=(uT-1.0) && vPositionX<(uT-1.0+boundVerticalWidth)) {
          gl_FragColor=vec4(0.0,0.0,0.0,0.5);
       }
           if (vPositionX<(uT-1.0)) {
               discard;
           }
       //向左滑
       } else if (uT<0.0) {
       //画竖线。
       if (vPositionX>(1.0+uT) && vPositionX<=(1.0+uT+boundVerticalWidth)) {
          gl_FragColor=vec4(0.0,0.0,0.0,0.5);
       }
           if (vPositionX>(1.0+uT+boundVerticalWidth)) {
               discard;
           }
       }
   }
}